<?php



require_once("../../config/Cado.php");

require_once("cUsuariopv.php");

$oUsuario = new cUsuariopv();





if($_POST['action']=="agregar_puntoventa"){

	if(!empty($_POST['id_puntoventa']) and !empty($_POST['iduser']) )

	{



		$cst1 = $oUsuario->verifica_ptodeventa_usuario($_POST['iduser'],$_POST['id_puntoventa']);

		$rst1= mysql_num_rows($cst1);

		if($rst1>0)

		{

			$oUsuario->resucitar_puntoventa($_POST['id_puntoventa'], $_POST['iduser']);

			echo "Ok : Punto de Venta Agregado.";

		} else

		{

			$cst1 = $oUsuario->insertar_user_ptoventa($_POST['iduser'],$_POST['id_puntoventa']);

			echo "Agregado Correctamente";

		}

	}

	else

	{

		$data['usu_msj']='Intentelo nuevamente';

		echo json_encode($data);	

	}

}



if($_POST['action_usuario']=="editar"){

	if(!empty($_POST['hdd_usu_id']) )

	{

		$oUsuario->modificar(

			$_POST['hdd_usu_id'],

			$_POST['txt_usu_nom'],

			$_POST['txt_usu_ape'],

			$_POST['txt_usu_ema'],

			$_POST['txt_usu_tel'],

			$_POST['txt_usu_dir'],

			$_POST['txt_usu_dni'],

			$_POST['cmb_usu_blo'],

			$_POST['cmb_usugru_id'],

			$_POST['cmb_usuper_id']

		);



		if($_POST['chk_usu_use']==1):

			$use=$_POST['txt_usu_use'];

			$oUsuario->modificar_campo($_POST['hdd_usu_id'],'use',"$use");

		endif;



		if($_POST['chk_usu_pas']==1):

			$pas=md5($_POST['txt_usu_pas']);

			$oUsuario->modificar_campo($_POST['hdd_usu_id'],'pas',$pas);

		endif;





		$data['usu_msj']='Se modificó usuario correctamente.';

		echo json_encode($data);	

	}

	else

	{

		$data['usu_msj']='Intentelo nuevamente';

		echo json_encode($data);	

	}

}





if($_POST['action']=="marcar_pordefecto")

{

	 

	 $oUsuario->marcar_pordefecto($_POST['iduser'],$_POST['iduserpv']);

	 $oUsuario->marcar_pordefecto1($_POST['iduserpv']);

			echo 'Operación con Exito.'; 

}



if($_POST['action']=="eliminar_usuariopv")

{

	 

	 $oUsuario->modificar_campo($_POST['iduserpv'],'xac','0');

			echo 'Se envió a la papelera correctamente.';

}







if($_POST['action']=="eliminar")

{

	if(!empty($_POST['usu_id']))

	{

		/*$cst1 = $oUsuario->verifica_usuario_tabla($_POST['usu_id'],'tb_misa');

		$rst1= mysql_num_rows($cst1);

		if($rst1>0)$msj1=' - Misa';

		

		if($rst1>0)

		{

			echo "No se puede eliminar, afecta información de: ".$msj1.".";

		}

		else

		{*/

			$oUsuario->modificar_campo($_POST['usu_id'],'xac','0');

			echo 'Se envió a la papelera correctamente.';

		//}

	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}



?>